<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.8</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>kr.gmtc.gw</groupId>
    <artifactId>eyegw</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>EyeGW_EaiIf</name>
    <description>Spring Boot Mybatis + Tibero</description>

	<repositories>
        <repository>
			<id>local-repository</id>
			<name>local-repository</name>
			<url>file:${basedir}/lib</url>
		</repository>
	</repositories>
	
    <properties>
        <java.version>1.8</java.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>3.0.0</version>
        </dependency>

        <dependency>
			<groupId>kr.gmt.so</groupId>
			<artifactId>state-spring-boot-starter</artifactId>
			<version>1.0.3</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/state-spring-boot-starter-1.0.3.jar</systemPath>
		</dependency>

        <dependency>
            <groupId>com.tmax.tibero</groupId>
            <artifactId>tibero-jdbc</artifactId>
            <version>7</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/tibero-jdbc-7.0.0.jar</systemPath>
        </dependency>

        <dependency> 
            <groupId>ipworks.local</groupId>
            <artifactId>ipworks-local-1.0.0</artifactId>            
			<scope>system</scope>
			<version>1.0.0</version>
			<systemPath>${basedir}/lib/ipworks-local-1.0.0.jar</systemPath>
        </dependency>
        
        
        
    </dependencies>

    <build>
        <finalName>EyeGW_EaiIf</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
					<includeSystemScope>true</includeSystemScope>
 			    </configuration>
            </plugin>
        </plugins>
    </build>

</project>
